> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get envelope tab data

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/form_data

This method downloads the envelope and tab data (also called form data) from any in-process, completed, or canceled envelope that you sent or that is shared with you. Recipients who are also full administrators on an account can view form data for any envelopes that another user on the account has sent to them.

**Note:** To use this feature, the Sending Setting "Allow sender to download form data" must be enabled for the account.

### Related topics

- [How to get envelope tab values](/docs/esign-rest-api/how-to/get-envelope-tab-values/)


Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/envelopeformdata/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `envelopeId` (string, required) — The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`

## Response

### 200

Successful response.

- `emailSubject` (string, optional) — The subject line of the email message that is sent to all recipients. For information about adding merge field information to the email subject, see [Template Email Subject Merge Fields](/docs/esign-rest-api/reference/templates/templates/create/#template-email-subject-merge-fields). **Note:** The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters.
- `envelopeId` (string, optional) — The envelope ID of the envelope status that failed to post.
- `formData` (list of formDataItem, optional) — An array of `formDataItem` objects.
- `prefillFormData` (prefillFormData, optional)
- `recipientFormData` (list of recipientFormData, optional) — An array of form data for each recipient of the envelope.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. This property is read-only.
- `status` (string, optional) — Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### formDataItem

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `listSelectedValue` (string, optional) — The selected value in a list.
- `name` (string, optional) — The name of the form field.
- `numericalValue` (string, optional)
- `originalNumericalValue` (string, optional)
- `originalValue` (string, optional) — The initial value associated with the form field.
- `value` (string, optional) — The current value associated with the form field.

### prefillFormData

- `formData` (list of formDataItem, optional)
- `senderEmail` (string, optional) — The sender's email address.
- `senderName` (string, optional) — The sender's name.
- `senderUserId` (string, optional) — The ID of the sender.

### recipientFormData

- `DeclinedTime` (string, optional) — The date and time the recipient declined the envelope.
- `DeliveredTime` (string, optional) — The date and time the recipient viewed the documents in the envelope in the Docusign signing UI.
- `email` (string, optional) — The recipient's email address.
- `formData` (list of formDataItem, optional) — An array of form data objects.
- `name` (string, optional) — The name of the recipient.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `SentTime` (string, optional) — The date and time the envelope was sent to the recipient.
- `SignedTime` (string, optional) — The date and time the recipient signed the documents.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Response**

```json
{
  "emailSubject": "sample string 1",
  "envelopeId": "sample string 2",
  "formData": [
    {
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "listSelectedValue": "sample string 1",
      "name": "sample string 2",
      "numericalValue": "sample string 3",
      "originalNumericalValue": "sample string 4",
      "originalValue": "sample string 5",
      "value": "sample string 6"
    }
  ],
  "prefillFormData": {
    "formData": [
      {}
    ],
    "senderEmail": "sample string 1",
    "senderName": "sample string 2",
    "senderUserId": "sample string 3"
  },
  "recipientFormData": [
    {
      "DeclinedTime": "sample string 1",
      "DeliveredTime": "sample string 2",
      "email": "sample string 3",
      "formData": [
        {}
      ],
      "name": "sample string 4",
      "recipientId": "sample string 5",
      "SentTime": "sample string 6",
      "SignedTime": "sample string 7"
    }
  ],
  "sentDateTime": "sample string 3",
  "status": "sample string 4"
}
```